Subject: Re: bug#32463: 27.0.50; (logior -1) => 4611686018427387903

From: Andy Moreton <[email-masked]>
Date: Tue, 21 Aug 2018 11:50:15 +0100

On Tue 21 Aug 2018, Paul Eggert wrote:

> Pip Cet wrote:
>> I'm not sure what a reasonable limit would be, but I think a global
>> limit of bignum size to something that allows for "immediate"
>> computations would be best.
>
> I installed the attached patch to do that. It tentatively defaults to a limit
> of 2↑↑5 (i.e., 2**65536) for bignums, overrideable by setting a new variable
> 'integer-width' that defaults to 65536. This default should be big enough for
> almost all Emacs applications and should avoid issues of aborts and hangs.

Have you checked a mini-gmp build to ensure that this patch works if
the GMP library is not installed ?

It might be slightly faster to use mpz_limbs_read in make_number instead
of mpz_getlimbn.

    AndyM